<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.PollsourceMapper">

    <resultMap id="pollsourceMap" type="com.tofly.xrtygis.entity.Pollsource">
        <id property="id" column="ID"/>
        <result property="address" column="ADDRESS"/>
        <result property="lgtd" column="LGTD"/>
        <result property="lttd" column="LTTD"/>
        <result property="iswarn" column="ISWARN"/>
        <result property="notes" column="NOTES"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="updateUser" column="UPDATE_USER"/>
        <result property="fileids" column="FILEIDS"/>
        <association property="filePaths" column="FILEIDS"
                     select="com.tofly.xrtygis.mapper.FileMapper.getPaths"/>
        <association property="pollInfos" column="ID"
                     select="com.tofly.xrtygis.mapper.PollMapper.getPollInfos"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
        <association property="updateUserName" column="UPDATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
